Bug 503576 - (CVE-2009-1835) CVE-2009-1835 Firefox Arbitrary domain cookie access by local file: resources
CVE-2009-1835 Firefox Arbitrary domain cookie access by local file: resources
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=moderate,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 14:53 EDT by Josh Bressers
Modified: 2012-06-21 05:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 05:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-06-01 14:53:42 EDT
Security researcher Gregory Fleischer reported that local resources loaded
via the file: protocol can access any domain's cookies which have been
saved on a user's machine. Fleischer demonstrated that a local document's
domain was being calculated incorrectly from its URL. If a victim could be
persuaded to download a malicious file and then open that file in their
browser, the malicious file could then steal arbitrary cookies from the
victim's computer. Due to the interaction required for this attack, the
severity of the issue was determined to be moderate.
Comment 2 errata-xmlrpc 2009-06-11 18:46:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1095 https://rhn.redhat.com/errata/RHSA-2009-1095.html
Comment 3 errata-xmlrpc 2009-06-11 19:18:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1096 https://rhn.redhat.com/errata/RHSA-2009-1096.html
Comment 4 Fedora Update System 2009-06-15 22:17:55 EDT
firefox-3.0.11-1.fc10, xulrunner-1.9.0.11-1.fc10, epiphany-2.24.3-7.fc10, epiphany-extensions-2.24.3-2.fc10, blam-1.8.5-11.fc10, devhelp-0.22-9.fc10, galeon-2.0.7-11.fc10, gecko-sharp2-0.13-9.fc10, gnome-python2-extras-2.19.1-31.fc10, gnome-web-photo-0.3-19.fc10, google-gadgets-0.10.5-7.fc10, kazehakase-0.5.6-4.fc10.3, Miro-2.0.3-5.fc10, mozvoikko-0.9.5-11.fc10, mugshot-1.2.2-10.fc10, pcmanx-gtk2-0.3.8-10.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.2, ruby-gnome2-0.18.1-5.fc10.3, yelp-2.24.0-10.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-06-15 22:31:11 EDT
firefox-3.0.11-1.fc9, xulrunner-1.9.0.11-1.fc9, epiphany-2.22.2-12.fc9, epiphany-extensions-2.22.1-12.fc9, blam-1.8.5-10.fc9.1, chmsee-1.0.1-13.fc9, devhelp-0.19.1-13.fc9, evolution-rss-0.1.0-12.fc9, galeon-2.0.7-11.fc9, gnome-python2-extras-2.19.1-28.fc9, gnome-web-photo-0.3-22.fc9, google-gadgets-0.10.5-7.fc9, gtkmozembedmm-1.4.2.cvs20060817-30.fc9, kazehakase-0.5.6-4.fc9.3, Miro-2.0.3-5.fc9, mozvoikko-0.9.5-11.fc9, mugshot-1.2.2-10.fc9, ruby-gnome2-0.17.0-10.fc9, totem-2.23.2-17.fc9, yelp-2.22.1-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-16 02:56:38 EDT
seamonkey-1.1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-16 03:10:19 EDT
seamonkey-1.1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.